object @resource

extends 'katello/api/v2/common/identifier'
extends 'katello/api/v2/common/org_reference'
extends 'katello/api/v2/common/timestamps'

attributes :name
attributes :content_type
attributes :content

child :products => :gpg_key_products do
  attributes :id, :cp_id, :name
  node :repository_count do |product|
    product.repositories.count
  end
  child :provider => :provider do
    attribute :name
    attribute :id
  end
end

child :root_repositories => :gpg_key_repos do
  attribute :id
  attribute :name
  attribute :content_type
  node :library_instance_id do |root|
    root.library_instance.id
  end
  child :product do |_product|
    attributes :id, :cp_id, :name
  end
end

child :ssl_ca_alternate_content_sources => :ssl_ca_alternate_content_sources do
  attributes :id, :name
end

child :ssl_client_alternate_content_sources => :ssl_client_alternate_content_sources do
  attributes :id, :name
end

child :ssl_key_alternate_content_sources => :ssl_key_alternate_content_sources do
  attributes :id, :name
end

child :ssl_ca_products => :ssl_ca_products do
  attributes :id, :cp_id, :name
  node :repository_count do |product|
    product.repositories.count
  end
  child :provider => :provider do
    attribute :name
    attribute :id
  end
end

child :ssl_ca_root_repos => :ssl_ca_root_repos do
  attribute :id
  attribute :name
  attribute :content_type
  node :library_instance_id do |root|
    root.library_instance.id
  end
  child :product do |_product|
    attributes :id, :cp_id, :name
  end
end

child :ssl_client_products => :ssl_client_products do
  attributes :id, :cp_id, :name
  node :repository_count do |product|
    product.repositories.count
  end
  child :provider => :provider do
    attribute :name
    attribute :id
  end
end

child :ssl_client_root_repos => :ssl_client_root_repos do
  attribute :id
  attribute :name
  attribute :content_type
  node :library_instance_id do |root|
    root.library_instance.id
  end
  child :product do |_product|
    attributes :id, :cp_id, :name
  end
end

child :ssl_key_products => :ssl_key_products do
  attributes :id, :cp_id, :name
  node :repository_count do |product|
    product.repositories.count
  end
  child :provider => :provider do
    attribute :name
    attribute :id
  end
end

child :ssl_key_root_repos => :ssl_key_root_repos do
  attribute :id
  attribute :name
  attribute :content_type
  node :library_instance_id do |root|
    root.library_instance.id
  end
  child :product do |_product|
    attributes :id, :cp_id, :name
  end
end

node :permissions do |content_credential|
  {
    :view_content_credenials => content_credential.readable?,
    :edit_content_credenials => content_credential.editable?,
    :destroy_content_credenials => content_credential.deletable?,
  }
end
